Page 33 of 40 FirstFirst ... 232829303132333435363738 ... LastLast
Results 641 to 660 of 787
Like Tree1Likes
  1.    #641  
    Nothing seems awry with the zip you posted. Might be something wrong with the launcher-scene.html file or you are using a different .patch than the one you posted. All I know is the .patch in that zip passes a --dry-run patch on my device.

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  2. #642  
    Quote Originally Posted by egaudet View Post
    Nothing seems awry with the zip you posted. Might be something wrong with the launcher-scene.html file or you are using a different .patch than the one you posted. All I know is the .patch in that zip passes a --dry-run patch on my device.
    OK Thanks A LOT. It's good to know that the .patch is good.

    At this point, there's no patches left on the phone, so I would think any chance of conflict was gone...

    Maybe I'll try to force another launcher-scene overwrite. This time I'll pull it directly from the DR zip file and put it on the Pre manually rather than WOS RU.

    If not, I'll doctor over the weekend.
  3.    #643  
    Quote Originally Posted by tomi666 View Post
    Hi Eric,

    I got 1.4 ahead of everyone.
    I can confirm that for me:

    All patches update just fine, except one (topbar, luna-ui fail).

    If you need the log, let me know how to get it to you.
    Would be cool if you could email/upload the IPK log straight from Preware.
    I'm currently on vacation so no rooted Pre.

    Reference thread:
    http://forums.precentral.net/gsm-pre...ml#post2251144
    webos-patches.log can be found from USB mode if you have a computer with you.

    Which exact patch is this and what part of the update failed? Does it fail to remove or reinstall? If it fails to install then it might just be a case of needing to be ported but that's not harmful.

    If the removal is not failing, then this will be the first case of OTA AUPT success :P

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  4. #644  
    I still have one stuck AUPT-2 patch (No Alert During Call) that I cannot remove or reinstall,
    and have no computer to fix. Shall I EPR my 39 patches and reinstall? or take a chance with the 1.4 update?
    Thoughts?
    "Patience, use the force, think." Obi-Wan


    Ready to try Preware? Get this first: Preware Homebrew Documentation
  5.    #645  
    Quote Originally Posted by vza33 View Post
    I still have one stuck AUPT-2 patch (No Alert During Call) that I cannot remove or reinstall,
    and have no computer to fix. Shall I EPR my 39 patches and reinstall? or take a chance with the 1.4 update?
    Thoughts?
    Take a ride on the wild side!

    (The OTA will -most likely- update the files that you need to repair anyway and then remove will succeed. If they don't update the files you need to repair you can always wait to repair them when you have a computer or EPR.)

    But it's all up to you.

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  6. #646  
    Quote Originally Posted by egaudet View Post
    Take a ride on the wild side!

    (The OTA will -most likely- update the files that you need to repair anyway and then remove will succeed. If they don't update the files you need to repair you can always wait to repair them when you have a computer or EPR.)

    But it's all up to you.
    OK! so I'll stay status quo and do any repairs if needed after the update.
    Thanks so much Eric! See ya on the other side lol.
    "Patience, use the force, think." Obi-Wan


    Ready to try Preware? Get this first: Preware Homebrew Documentation
  7. #647  
    Quote Originally Posted by egaudet View Post
    Nothing seems awry with the zip you posted. Might be something wrong with the launcher-scene.html file or you are using a different .patch than the one you posted. All I know is the .patch in that zip passes a --dry-run patch on my device.
    Eric -- Just wanted to update you. I'm even more confused now: (and yes, I do appreciate that this particular patch will very likely be obsolete in a mater of hours, but the engineer in me really wants to figure this out and see what happens to this patch via AUPT when 1.4 drops)... anyway:

    I followed the CAJ-rules to fully clean the phone:
    • Dr'd to 1.2.1
    • Full Erase
    • Dr'd to 1.3.5.1
    • at this point, I created a dummy profile (so there could be no possible Palm profile corruptions)


    Enabled Dev mode. Reset.

    I ran WebOS QI 3.02 - it installed the two services needed and then I tried to install my named pages patch (using the one from the zip file - just to be sure it was the same as you tested.... Same EXACT errors!!! What the heck? 1 Hunk in Line 18 in the launcher-scene.html.

    One note, the actual WebOSQI pop-up error refers to: "ERROR: An error occured while trying to run /tmp/scriptfile.sh [next line] 1 of 1 hunk failed - see webos.patches.log for more details" I think this is a normal error message dialog, but I figured I'd mention it just in case.

    Again, I don't know if you have any ideas what could possibly be happening to prevent a .patch that should work from being installed by WebOS QI 3.02 onto a 100% stock Pre. I don't know that I should care any longer, but I figured I'd see if you (or your compatriots) could make any sense of this.... (but I realize, there's probably a few other MINOR things going on your your "Pre" worlds right now.... based on the latest update to the Precentral homepage!!!
    Last edited by greenawayj; 02/27/2010 at 01:16 AM.
  8.    #648  
    try to run from terminal directly to verify the patch is the problem or maybe something in the QI process is using like a bad cached file or something.

    /media/cryptofs/apps/usr/bin/patch -p1 -d / --dry-run -i /path/to/.patch

    it's just a dry-run so it won't do anything but will output exactly as if it was doing something. If you get no hunk errors then it's not the .patch file and you can keep following the trail I guess :P

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  9. #649  
    Quote Originally Posted by egaudet View Post
    try to run from terminal directly to verify the patch is the problem or maybe something in the QI process is using like a bad cached file or something.

    /media/cryptofs/apps/usr/bin/patch -p1 -d / --dry-run -i /path/to/.patch

    it's just a dry-run so it won't do anything but will output exactly as if it was doing something. If you get no hunk errors then it's not the .patch file and you can keep following the trail I guess :P
    No errors.

    patching file........ repeated 9 times (various files). most notably the launcher-scene.html does not show an error....
  10.    #650  
    Quote Originally Posted by greenawayj View Post
    No errors.

    patching file........ repeated 9 times (various files). most notably the launcher-scene.html does not show an error....
    proves the .patch is good. So must be something along the lines of getting it to QI, maybe an old cached file or something odd.

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  11. #651  
    Just finished the 1.4 update with all my patches left on and everything went smoothly with no hitches. Just want to thank egaudet, Jason and everyone else on the Preware team that put in the many hours of work and testing.

    Bill
  12. #652  
    where would a 'cached' file be?

    Since this proves the .patch is good and the target files are stock, can I install it from the terminal using the above code except removing the --dry-run? Sorry, I'm not much of a linux guy.

    Is this something I should bring to Jason's attn (and thankfully move on). Gererally I use preware for all things exept those 4 or so .patches, so my WebOS QI use for patch installs is fairly limited.
  13. #653  
    I also just finished my 1.4 install with no problems whatsoever. I have already run Preware to re-install all of my patches and everything there went off without a hitch.

    I cannot thank the entire webos-internals team enough for all their hard work. As soon as I am employed again, there will most certainly be a donation coming your way!

    For the record, I did receive an ipkg error with the Call Duration in Call Log Patch...but I was too dumb to make note of the actual error...sorry!
  14.    #654  
    Quote Originally Posted by greenawayj View Post
    where would a 'cached' file be?

    Since this proves the .patch is good and the target files are stock, can I install it from the terminal using the above code except removing the --dry-run? Sorry, I'm not much of a linux guy.

    Is this something I should bring to Jason's attn (and thankfully move on). Gererally I use preware for all things exept those 4 or so .patches, so my WebOS QI use for patch installs is fairly limited.
    I wouldn't use the above without --dry-run because you don't get the AUPT scripts with it and then it's a manual modification that you become responsible for.

    You could see if Jason has any ideas, he'll know of any potential issues or cache stuff with QI.

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  15. #655  
    Well everything went fine although I had to update each patch one at a time. 3 of my patches would not install due to an ipkg error.

    browser multi mod
    hide music player
    call duration in call log

    I did notice that call duration patch is now classified in the unavailable section in preware. Any suggestions for the other two patches especially the multi mod?(I love that patch)

    Again thanks for all your hard work and this is still easier to do even with the ipkg errors.
  16. #656  
    So, should I update WebOS to 1.4 and THEN use this, or use this then update WebOS? Pretty sure I should do the first but I wanted to make sure.
    ------
    ~Sam

    Crappy generic phone > Another crappy generic phone > Treo 700w > Palm Pre
  17. #657  
    Love the new AUPT! I did have a few packages that won't install:

    Match Area Code
    PDF in Landscape
    Call Duration in Call Log

    I also can't uninstall the Match Area Code Patch.
    Play Cricket Wars, Dungeon Quest, m:Mafia, m:Racing, m:Vampire or m:Zombies? Share your codes at MMORPG ID Exchange
  18. #658  
    Quote Originally Posted by PhantomPhreak53 View Post
    Love the new AUPT! I did have a few packages that won't install:

    Match Area Code
    PDF in Landscape
    Call Duration in Call Log

    I also can't uninstall the Match Area Code Patch.
    Hi,
    Can you tell me if I should update first, then run AUPT, or vice versa?
    Thought I'd ask someone who already did it, cuz I think the WebOS Internals guys must be sleeping (cant say I blame them, I think they've been up all night!) because they're not answering.
    ------
    ~Sam

    Crappy generic phone > Another crappy generic phone > Treo 700w > Palm Pre
  19. #659  
    AUPT has been a 100% failure for me. Had to do everything manually for 1.4. Maybe I did something along the way to screw it up?
    Oh well.
  20. #660  
    I had the latest Preware installed, but I don't think I had updated all my patches. Every patch I have tried to update/install/uninstall has failed. (Unreversed Patch errors). Do I need to doctor now? EPR removed them from my list of installed patches, but nothing will install right still.

Tags for this Thread

Posting Permissions